<?xml version="1.0" encoding="UTF-8"?>
<!-- -*- coding: utf-8 -*- -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<!-- ********************************************************************** -->

<head>
  <!-- meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> -->

  <title>HPCToolkit Software</title>

  <link rel="stylesheet" type="text/css" href="style/style.css" />
</head>

<body>

<!-- ********************************************************************** -->

<!-- HPCToolkit Image (height = 71 pixels) --> <img style="position: absolute; top: 0px; left: 0px" src="style/header.gif" alt="hpctoolkit" /> <div style="position: relative; margin-top: 60px; width: 100%; text-align: right;"> <p style="margin: 0px; font-size: small;">   [ <a href="index.html">Home</a>     | <a href="overview.html">Overview</a>     | <a href="publications.html">Publications</a>     | <a href="software.html">Software/Downloads</a> ]   &bull;   [ <a href="documentation.html">Documentation/Questions</a>     | <a href="training.html">Training Videos and Slides</a> ]   &bull;   [ <a href="info-people.html">People</a>     | <a href="info-acks.html">Acks</a> ] </p> </div> <div style="width: 100%;">   <hr /> </div> 
<!-- ********************************************************************** -->

<h1>Downloading and Installing HPCToolkit</h1>

<h2><a href="software-instructions.html">Build Instructions</a></h2>

<h2><a href="spack-issues.html">Current Spack Issues</a></h2>


<h2>Source code for HPCToolkit</h2>

<p>To build HPCToolkit, you should clone the HPCToolkit and Spack
repositories and follow the
<a href="software-instructions.html">build instructions</a> as above.
We now use Spack for building HPCToolkit's prerequisites (replacing
the old hpctoolkit externals).
</p>

<p>You can install HPCToolkit with the &quot;One Button&quot;
<code>spack install hpctoolkit</code> method, or else use spack to
install the prerequisites and then build hpctoolkit with the
traditional <code>configure ; make ; make install</code> method.
The hpctoolkit repository is available on GitLab.
The spack repository is available on GitHub.
</p>

<ul>
  <table cellpadding="2" cellspacing="2" border="1" width="100%">
  <tr>
    <td><a href="https://gitlab.com/HPCToolkit/HPCToolkit">HPCToolkit</a>
    </td>
    <td><code>git clone https://gitlab.com/HPCToolkit/HPCToolkit.git</code>
    </td>
  </tr>
  <tr>
    <td><a href="https://github.com/spack/spack">spack</a>
    </td>
    <td><code>git clone https://github.com/spack/spack.git</code>
    </td>
  </tr>
  </table>
</ul>


<h2><a href="download.html">Binary releases of HPCToolkit's <tt>hpcviewer</tt> graphical user interface (recommended for tool users)</a></h2>
Note: Trace views provided previously by HPCToolkit's <tt>hpctraceviewer</tt> interface have been integrated into <tt>hpcviewer</tt> in recent releases.

<h2>Source code for HPCToolkit's <tt>hpcviewer</tt> graphical user interface (recommended for tool developers only)</h2>

Source code for HPCToolkit's hpcviewer graphical
user interface is available from the
<a href="https://gitlab.com/HPCToolkit/HPCViewer">HPCViewer repository</a>
on GitLab.  Unless you are a tool developer who wants to modify the
capabilities of these graphical user interfaces, we recommend
downloading the binary releases.
See the repository's
<a href="https://gitlab.com/HPCToolkit/HPCViewer/blob/master/README.md">README.md</a> for information about how to build <tt>hpcviewer</tt> from source code.
<ul>
  <table cellpadding="2" cellspacing="2" border="1" width="100%">
  <tr>
  <td>
    <a href="https://gitlab.com/HPCToolkit/HPCViewer">HPCViewer</a>
  </td>
  <td>
    <code>git clone https://gitlab.com/HPCToolkit/HPCViewer.git</code>
  </td>
  </tr>
  </table>
  <br />
</ul>

<h2>Questions, Problems, Bugs</h2>

<p>Please see our <a href="documentation.html">reporting guidelines</a>.
</p>


<p>[<span class="lastupdated">Page last updated: 2022/10/05</span>]
</p>

<!-- ********************************************************************** -->

<div style="width: 100%; font-size: small;">   <hr />   <p style="margin: 0px; font-size: small;">     &copy;2002-2023 <a href="http://www.rice.edu">Rice University</a>     &bull;     <a href="http://www.cs.rice.edu">Rice Computer Science</a>   </p>   <a href="http://validator.w3.org/check/referer">     <img src="http://www.w3.org/Icons/valid-xhtml10-blue" alt="" height="15" /></a>   <a href="http://jigsaw.w3.org/css-validator/check/referer">     <img src="http://www.w3.org/Icons/valid-css-blue" alt="" height="15" /></a> </div> 
<!-- ********************************************************************** -->


</body>
</html>


<!-- Local Variables: -->
<!-- eval: (add-hook 'write-file-hooks 'time-stamp) -->
<!-- time-stamp-start: "<span class=\"lastupdated\">Page last updated: " -->
<!-- time-stamp-format: "%:y/%02m/%02d" -->
<!-- time-stamp-end: "</span>" -->
<!-- time-stamp-line-limit: 10000 -->
<!-- End: -->
